Bug 250901 - "service named restart" fails
"service named restart" fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
:
: 423101 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 16:16 EDT by Zenon Panoussis
Modified: 2013-04-30 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2007-08-04 16:16:12 EDT
Description of problem:

# service named stop
Stopping named_sdb:                                        [FAILED]
# ps -A |grep named
 2933 ?        00:00:00 named_sdb

# service named restart
Stopping named_sdb:                                        [FAILED]
Starting named_sdb: named_sdb: already running             [FAILED]

It's the init file's fault. When stopping, line 197 tries to 
kill rndc. If rndc is not running or for some other reason 
isn't killed, the exit code is != 0, so none of the code in 
lines 200-214 gets executed. 

If I comment out the if/fi statements in lines 199/215, I get 

# service named restart
Stopping named_sdb: .......................................[  OK  ]...
Starting named_sdb:                                        [  OK  ]

The dots after "Stopping named_sdb" are printed two seconds 
apart, so the shutdown takes more than a minute. 

Version-Release number of selected component (if applicable):
9.3.3-9.0.1.el5

How reproducible:
Every time
Comment 1 Adam Tkac 2007-08-06 05:19:46 EDT
Patch is change line 199 to
if ! [ $RETVAL -eq 0 ]; then

But it's not standard way that rndc fails. Could you please call `rndc stop`
explicitly and attach output (why rndc fails). Also please attach log what
exactly is doing during stopping.

Thanks, Adam
Comment 2 Zenon Panoussis 2007-08-06 07:08:24 EDT
rndc failed to stop the server because I hadn't configured it. 
The log said:
general: rejected command channel message from 127.0.0.1#53464

If I leave rndc unconfigured and change line 199 as you suggest, 
the script stops the server with killproc and the delay. 

If I configure rndc, the script with your patch also stops the 
server, but now through rndc and without the delay. 

Thus, your patch seems to be the right solution either way, with 
or without rndc misconfiguration. 
Comment 3 RHEL Product and Program Management 2007-10-26 06:04:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Adam Tkac 2007-12-14 06:06:18 EST
*** Bug 423101 has been marked as a duplicate of this bug. ***
Comment 9 Răzvan Sandu 2008-05-04 12:09:36 EDT
As of May 04, 2008, this bug seems to be present in Fedora 9 (rawhide) too.

Razvan
Comment 10 Adam Tkac 2008-05-05 03:19:13 EDT
(In reply to comment #9)
> As of May 04, 2008, this bug seems to be present in Fedora 9 (rawhide) too.
> 
> Razvan

Hm, are you sure this is same bug? This should be fixed in all supported Fedoras.
Comment 11 errata-xmlrpc 2008-05-21 10:17:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0300.html

Note You need to log in before you can comment on or make changes to this bug.